import { AbstractConstructor, Constructor } from "../common/types";
import { AbstractProvider } from "../di/AbstractProvider";
export declare const Errors: {
    SYSTEM_ERROR: string;
    HTTP_REQUEST_ERROR: string;
    SESSION_EXPIRED: string;
    ACCESS_DENIED: string;
    AUTHENTICATION_ERROR: string;
    NOT_FOUND: string;
    VALIDATION_ERROR: string;
    BAD_STATE: string;
    QUERY_ERROR: string;
    REQUEST_RATE_LIMIT: string;
    CANNOT_LOCK: string;
};
export declare class ErrorBuilder {
    static error(name: string, message?: string): Error;
    static systemError(message: string): Error;
    static validationError(message: string): Error;
    static forConfigNotFound(configName: string): Error;
    static forTransientUsedWithInitable(constructorFn: Constructor<any>): Error;
    static forInvalidInjection(message: string): Error;
    static forInjectionCircularDependency(constructorFns: AbstractConstructor<any>[]): Error;
    static forInjectionNotFound(constructorFn: AbstractConstructor<any>): Error;
    static forMutipleInjectionsFound(constructorFn: AbstractConstructor<any>, candidates: Constructor<any>[]): Error;
    static forMutipleProvidersFound(constructorFn: AbstractConstructor<any>, candidates: Constructor<AbstractProvider<any>>[]): Error;
}
